package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.FormfRepository;
import com.realnet.basicp1.Entity.Formf;import java.util.List;
import java.util.ArrayList;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;import org.springframework.data.domain.Pageable;
import org.springframework.http.ResponseEntity;
import com.realnet.users.service1.AppUserServiceImpl;
import org.springframework.http.HttpStatus;
import com.realnet.users.entity1.AppUser;




	import org.springframework.stereotype.Service;

@Service
 public class FormfService {
@Autowired
private FormfRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



public Formf Savedata(Formf data) {




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Formf save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Formf> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Formf> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Formf> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Formf getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Formf update(Formf data,Integer id) {
	Formf old = Repository.findById(id).get();
old.setNamek(data.getNamek());



final Formf test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
